version: '3'
services:
  mysql:
    image: mysql:latest
    container_name: bd
    restart: "no"
    environment:
      MYSQL_ROOT_PASSWORD: root_password
      MYSQL_DATABASE: database_name
      MYSQL_USER: db_user
      MYSQL_PASSWORD: db_password
      TZ: "America/Bahia"
    networks:
      - app-network

  nodejs:
    build:
      context: .
      dockerfile: Dockerfile
    image: nodejs:latest
    container_name: app-nodejs
    restart: unless-stopped
    ports:
      - "3000:3000"
    volumes:
      - ./app.js:/app/app.js
    networks:
      - app-network
    depends_on:
      - mysql

  frontend:
    image: nginx:latest
    container_name: frontend
    restart: "no"
    ports:
      - "80:80"
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf:ro
      - ./index.html:/usr/share/nginx/html/index.html:ro
    networks:
      - app-network
    depends_on:
      - nodejs

#Docker Networks
networks:
  app-network:
    driver: bridge